﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Settings.ascx.cs" Inherits="EPiServer.MarketingAutomationIntegration.Marketo.Views.Marketo.Admin.Settings" %>

<%@ Register Assembly="Episerver.UI" Namespace="EPiServer.UI.WebControls" TagPrefix="EPiServerUI" %>
<%@ Register Assembly="EPiServer.Shell" Namespace="EPiServer.Shell.Web.UI.WebControls" TagPrefix="sc" %>
<%@ Register Assembly="System.Web" Namespace="System.Web.UI" TagPrefix="asp" %>
<%@ Register Assembly="System.Web" Namespace="System.Web.UI.WebControls" TagPrefix="asp" %>

<div class="epi-contentContainer epi-padding marketo-settings">
    <EPiServerUI:RefreshFrame Visible="False" ID="frameUpdater" FrameName="AdminMenu" SelectedTabName="AdminTab" runat="server" />

    <div class="epi-contentArea">
        <h1 class="EP-prefix">
            <%= Translate("/episerver/marketo/admin/displayname")%>
        </h1>

        <p class="EP-systemInfo">
            <%= Translate("/episerver/marketo/admin/description")%>
        </p>

        <p runat="server" clientidmode="Static" class="EP-systemMessage" id="pStatusMessage" visible="false"></p>
        <asp:ValidationSummary CssClass="EP-validationSummary" runat="server" />
    </div>


    <div class="epi-formArea" id="divSettings" runat="server">
        <fieldset>
            <legend><%= Translate("/episerver/marketo/admin/authentication") %></legend>
            <div class="epi-size25">
                <div>
                    <asp:Label runat="server" AssociatedControlID="txtEndpoint"><%= Translate("/episerver/marketo/admin/endpoint") %></asp:Label>
                    <asp:TextBox runat="server" ID="txtEndpoint" MaxLength="255" />
                </div>
                <div>
                    <asp:Label runat="server" AssociatedControlID="txtClientId"><%= Translate("/episerver/marketo/admin/clientid") %></asp:Label>
                    <asp:TextBox runat="server" ID="txtClientId" MaxLength="255" />
                </div>
                <div>
                    <asp:Label runat="server" AssociatedControlID="txtClientSecret"><%= Translate("/episerver/marketo/admin/clientsecret") %></asp:Label>
                    <asp:TextBox runat="server" ID="txtClientSecret" MaxLength="255" />
                </div>
            </div>
        </fieldset>        
        <fieldset>
            <legend><%= Translate("/episerver/marketo/admin/soapauthentication") %></legend>
            <div class="epi-size25">
                <div>
                    <asp:Label runat="server" AssociatedControlID="txtEndpointUrl"><%= Translate("/episerver/marketo/admin/endpoint") %></asp:Label>
                    <asp:TextBox runat="server" ID="txtEndpointUrl" MaxLength="255" />
                </div>
                <div>
                    <asp:Label runat="server" AssociatedControlID="txtUserId"><%= Translate("/episerver/marketo/admin/userid") %></asp:Label>
                    <asp:TextBox runat="server" ID="txtUserId" MaxLength="255" />
                </div>
                <div>
                    <asp:Label runat="server" AssociatedControlID="txtEncryptionKey"><%= Translate("/episerver/marketo/admin/encryptionkey") %></asp:Label>
                    <asp:TextBox runat="server" ID="txtEncryptionKey" MaxLength="255" />
                </div>
            </div>
        </fieldset>
        <fieldset>
            <legend><%= Translate("/episerver/marketo/admin/webtrackingcode") %></legend>
            <div class="epi-size25">
                <input type="radio" id="optUseTrackingCode" name="TrackingCode" runat="server" />
                <label for="<%= optUseTrackingCode.ClientID %>"><%= Translate("/episerver/marketo/admin/munchkin") %></label>
            </div>
            <div class="epi-size25">
                <input type="radio" id="optNoTrackingCode" name="TrackingCode" runat="server" />
                <label for="<%= optNoTrackingCode.ClientID %>"><%= Translate("/episerver/marketo/admin/noscript") %></label>
            </div>
            <div class="epi-size25" id="divTrackingCode" runat="server">
                <asp:TextBox runat="server" ID="txtTracking" Width="99%" TextMode="MultiLine" Rows="10" />
                <asp:CustomValidator runat="server" ID="cvTrackingCode" ControlToValidate="txtTracking" ClientValidationFunction="validateTrackingCode" 
                    OnServerValidate="ValidateTrackingCode" ValidateEmptyText="true" Display="None" ErrorMessage="Tracking scripts are required"></asp:CustomValidator>
            </div>
        </fieldset>
    </div>
    <div class="epi-buttonContainer">
        <EPiServerUI:ToolButton ID="btnSave" DisablePageLeaveCheck="true" OnClick="Save_Click" runat="server" SkinID="Save" Text="<%$ Resources: EPiServer, button.save %>" ToolTip="<%$ Resources: EPiServer, button.save %>" />
    </div>
</div>
<script type="text/javascript">
    function validateTrackingCode(event, args) {
        if ($("#<%= optUseTrackingCode.ClientID %>").attr("checked")) {
            args.IsValid = $.trim(args.Value) != '';
        }
    }
    $(document).ready(function () {
        var container = ".marketo-settings";
        $("input:radio", container).click(function () {
            var useTrackingCode = this.id === "<%= optUseTrackingCode.ClientID %>";

            $("#<%= divTrackingCode.ClientID %>", container).css("display", useTrackingCode ? "" : "none");
        })

        // Hide the server message everytime clicking on the Save button
        $("#<%= btnSave.ClientID %>").click(function () {
            $("#pStatusMessage").hide();
        });
    })
</script>
